## rtpbvpay

rtpbvpay

## Types and Values

struct | GstRTPBVPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRTPBaseAudioPayload
                            ╰── GstRTPBVPay

## Description

Payload BroadcomVoice audio into RTP packets according to RFC 4298. For detailed information see: http://www.rfc-editor.org/rfc/rfc4298.txt

## Synopsis

### Element Information

plugin | rtp
author | Wim Taymans <wim.taymans@collabora.co.uk>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-bv, mode=(int){ 16, 32 }

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)8000, encoding-name=(string)BV16
| application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int)16000, encoding-name=(string)BV32

## Functions

## Types and Values

### struct GstRTPBVPay

    struct GstRTPBVPay;

## See Also

rtpbvdepay